Subject: bug#50098: Configuring --with-libsigsegv results in link error

From: Evan Miller <[email-masked]>
Date: Sun, 22 Aug 2021 20:55:03 -0400

> On Aug 22, 2021, at 16:42, Paul Eggert <[email-masked]> wrote:
> 
> On 8/22/21 4:19 AM, Evan Miller wrote:
>> c-stack.c: In function 'die':
>> c-stack.c:106:17: warning: implicit declaration of function 'mempcpy' [-Wimplicit-function-declaration]
>>        char *p = mempcpy (buf, progname, prognamelen);
> 
> Evidently some dependencies were missing from the c-stack module. I installed the attached patch. Please try the same set of commands again.
> <0001-c-stack-depend-on-inttypes-mempcpy.patch>

After updating gnulib master, the "make" step now ends with the error:

gcc -std=gnu99 -DHAVE_CONFIG_H -DEXEEXT=\"\" -I. -I..  -DGNULIB_STRICT_CHECKING=1 -DIN_GNULIB_TESTS=1 -I. -I. -I.. -I./.. -I../gllib -I./../gllib   -Wno-error -g -O2 -MT test-pthread.o -MD -MP -MF $depbase.Tpo -c -o test-pthread.o test-pthread.c &&\
mv -f $depbase.Tpo $depbase.Po
test-pthread.c:35: error: ‘PTHREAD_RWLOCK_INITIALIZER’ undeclared here (not in a function)
make[4]: *** [test-pthread.o] Error 1

Same or similar results with GCC4 and GCC7.